// JavaScript Document

function ClassClienteCheque(){
	var id_cliente_cheque;
	this.Select = function(id_evento, retorno, qual_retorno_1ou_2){
				 $.ajax({
				 type: "POST",
				 url: "cheque/cliente_cheque.php",
				 data: 'ax=Select&id_evento='+id_evento+'&qual_retorno_1ou_2='+qual_retorno_1ou_2, 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax	
	}
	
	
	
	this.Duplicidade = function(cpf_cnpj, retorno) {
		    $.ajax({
				 type: "POST",
				 url: "cheque/ax.cheque.php",
				 data: 'ax=Duplicidade&cpf_cnpj='+cpf_cnpj, 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax
	
	}
	
	
	this.Insert = function(cpf_cnpj, nome, id_evento, retorno){
			$.ajax({
				 type: "POST",
				 url: "cheque/ax.cheque.php",
				 data: 'ax=InsertCheque&cpf_cnpj='+cpf_cnpj+'&nome='+nome+'&id_evento='+id_evento, 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax
	}
	
	
	this.Update = function(nome, retorno){
		
		$.ajax({
				 type: "POST",
				 url: "cheque/ax.cheque.php",
				 data: 'ax=UpdateCheque&nome='+nome+'&id_cliente_cheque='+this.id_cliente_cheque, 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax
			
	}
	
	
	
		this.Remove = function(id_evento_cliente_cheque, retorno){
		$.ajax({
				 type: "POST",
				 url: "cheque/ax.cheque.php",
				 data: 'ax=RemoveEventoCheque&id_evento_cliente_cheque='+id_evento_cliente_cheque+'&id_evento='+$('#id_evento').val(), 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax
		}
	
	this.InsertEventoCheque = function(id_evento, id_cliente_cheque, retorno){
				$.ajax({
				 type: "POST",
				 url: "cheque/ax.cheque.php",
				 data: 'ax=InsertEventoCheque&id_evento='+id_evento+'&id_cliente_cheque='+id_cliente_cheque, 
				 beforeSend: function(){$("#"+retorno).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
				 success: function(R){$("#"+retorno).html(R)} ,
				 error: function(R){ $("#"+retorno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+retorno).addClass('ui-state-error ui-corner-all');
									  }
			 }) //fim ajax	
		
	}
	
	
	
	
		
}